local PveYellowArrow = BaseClass("PveYellowArrow")
local OnCreate = function(self, go)
  if go ~= nil then
    self.request = go
    self.gameObject = go.gameObject
    self.transform = go.gameObject.transform
  end
  self:ComponentDefine()
  self:DataDefine()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
  self:DataDestroy()
end
local ComponentDefine = function(self)
end
local ComponentDestroy = function(self)
  self.gameObject = nil
  self.transform = nil
end
local DataDefine = function(self)
  self.param = nil
end
local DataDestroy = function(self)
  self.param = nil
end
local ReInit = function(self, param)
  self.param = param
  self.transform.position = self.param.position
end
local SetVisible = function(self, visible)
  self.gameObject:SetActive(visible)
end
PveYellowArrow.OnCreate = OnCreate
PveYellowArrow.OnDestroy = OnDestroy
PveYellowArrow.ComponentDefine = ComponentDefine
PveYellowArrow.ComponentDestroy = ComponentDestroy
PveYellowArrow.DataDefine = DataDefine
PveYellowArrow.DataDestroy = DataDestroy
PveYellowArrow.ReInit = ReInit
PveYellowArrow.SetVisible = SetVisible
return PveYellowArrow
